dirent Struct Reference

`#include <dirent_windows.h>`

## Public Attributes

long | d_ino
unsigned short | d_reclen
size_t | d_namlen
int | d_type
char | d_name [PATH_MAX]

## Detailed Description

Definition at line 201 of file dirent_windows.h.

## Member Data Documentation

## d_ino

long dirent::d_ino

Definition at line 202 of file dirent_windows.h.

Referenced by readdir().

## d_name

char dirent::d_name[PATH_MAX]

Definition at line 206 of file dirent_windows.h.

Referenced by readdir().

## d_namlen

size_t dirent::d_namlen

Definition at line 204 of file dirent_windows.h.

Referenced by readdir().

## d_reclen

unsigned short dirent::d_reclen

Definition at line 203 of file dirent_windows.h.

Referenced by readdir().

## d_type

int dirent::d_type

Definition at line 205 of file dirent_windows.h.

Referenced by readdir().

The documentation for this struct was generated from the following file:

- dirent_windows.h